<!--******************************************************************************
 * Copyright (c) 2015, 2023 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 *******************************************************************************-->

<p-panel toggler="header" [toggleable]="true" [collapsed]="collapsed" [style.line-height]="1" styleClass="detail-panel">
  <ng-template pTemplate="header">
    <span *ngIf="node" class="pannel-icon-header" [ngClass]="getClass()"
      >{{ node | mimeType | mdmTranslate : node?.sourceName | async }}
      <p-tag [style]="getStatusStyle(status)" [value]="status" *ngIf="status$ | async as status"></p-tag>
    </span>
  </ng-template>
  <ng-template pTemplate="icons">
    <span class="inline-flex align-items-center">
      <span *ngFor="let mdmTag of mdmTags">
        <p-chip [label]="mdmTag.name" icon="pi pi-tag" [removable]="false" styleClass="mr-2 mdmtag"></p-chip>
      </span>

      <p-button
        *ngIf="showButton"
        icon="fa fa-shopping-cart"
        styleClass="ml-1"
        (onClick)="add2Basket(); $event.stopPropagation()"
        [disabled]="shoppable"
        [title]="'details.mdm-detail-panel.btn-into-shopping-basket' | translate"
      >
      </p-button>
      <p-button
        *ngIf="showButton"
        icon="fa fa-tree"
        styleClass="ml-1"
        [disabled]="shoppable"
        (onClick)="openInTree(); $event.stopPropagation()"
        [title]="'details.mdm-detail-panel.btn-show-in-tree' | translate"
      >
      </p-button>
    </span>
  </ng-template>
  <ng-template pTemplate="content">
    <mdm-detail-panel-attributes [node]="node" [displayAttributes]="displayAttributes"></mdm-detail-panel-attributes>
  </ng-template>
</p-panel>
